package com.mosty.base.manager.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.jcgl.TbJcglKfd;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TbJcglKfdMapper extends BaseMapper<TbJcglKfd> {

    @ApiOperation("删除快反点信息")
    void deleteKfd(@Param("id") List<String> id);

    @ApiOperation("保存快反点信息")
    int insertEntity(TbJcglKfd item);

    @ApiOperation("修改快反点信息")
    int updateEntity(TbJcglKfd item);

    @ApiOperation("查询列表分页")
    List<TbJcglKfd> getPageList(Map<String, Object> map);

    @ApiOperation("查询列表不分页")
    List<TbJcglKfd> getListAll();

    @ApiOperation("查询列表数据总和")
    int getCount(Map<String, Object> map);

    @ApiOperation("查询详情信息")
    TbJcglKfd getById(@Param("kfdId") String kfdId);
}
